# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "cfx_neoplex"


def test_decode_results_neo_14(self):
    date = datetime.datetime(2023, 8, 1, 10, 44, 27)
    worklist = self.decode(
        """
    "Assay Parameters:","STI-14","","","","","","","","","","","","","","","","","","",""
    "Data Name:","2023-06-20_13-31-37_CFXB ist14","","","","","","","","","","","","","","","","","","",""
    "","","","","","","","","","","","","","","","","","","","","",""
    "Analysis Date:","2023-08-01 10:44:27","","","","","","","","","","","","","","","","","","",""
    "","","","","","","","","","","","","","","","","","","","","",""
    "No.","Name","Well","SampleType","FAM",,,"HEX",,,"Cal Red 610",,,"Quasar 670",,,"Quasar 705",,"IC","Result","Comment",""
    "1","+","A01","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "2","-","B01","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "3","T110067101","C01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "4","T1831520067","D01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "5","T1531920108","E01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","MG, TP","Comment",""
    "","","","","-","-","-","-","+","-","-","-","-","+","-","-","-","-","","","",""
    "6","T1231920070","F01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","MG, TP","",""
    "","","","","-","-","-","-","+","-","-","-","-","+","-","-","-","-","","","",""
    "7","T1531720032","G01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "8","T1831720018","H01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "9","T1131920320","A02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "10","T1131920329","B02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "11","T1831920063","C02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "12","T1231920083","D02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "13","T1131920443","E02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","-","-","-","-","","","",""
    "14","T1131920396","F02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "15","T1131920392","G02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP, TV","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","+","-","-","-","","","",""
    "16","T1531620092","H02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "17","T1131920361","A03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","-","-","-","-","","","",""
    "18","T1031920085","B03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "19","T110078661","C03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "20","-","D03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "21","-","E03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "22","-","F03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "23","-","G03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "24","-","H03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "25","+","A04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "26","+","B04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "27","+","C04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "28","+","D04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "29","+","E04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "30","/","F04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "31","/","G04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "32","/","H04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "33","","A05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "34","","B05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "35","","C05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "36","","D05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "37","","E05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "38","","F05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "39","","G05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "40","","H05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "41","T150023813","A06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, MH, GV, GBS","",""
    "","","","","+","+","-","+","-","-","-","-","-","-","-","+","-","+","","","",""
    "42","T110067379","B06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, GBS","",""
    "","","","","+","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "43","T110067181","C06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, GV, GBS","",""
    "","","","","+","+","-","-","-","-","-","-","-","-","-","+","-","+","","","",""
    "44","S001","D06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","GBS","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "45","S002","E06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","GBS","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "46","","F06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "47","","G06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "48","","H06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, CT, MH, MG, NG, HSV1, HSV2, UU, TP, TV, GV, HD, GBS","",""
    "","","","","+","+","+","+","+","+","+","+","+","+","+","+","+","+","","","",""
    "49","","A07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "50","","B07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "51","","C07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "52","","D07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "53","","E07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "54","","F07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "55","","G07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "56","","H07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "57","","A08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "58","","B08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "59","","C08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "60","","D08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "61","","E08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "62","","F08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "63","","G08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "64","","H08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "65","","A09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "66","","B09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "67","","C09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "68","","D09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "69","","E09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "70","","F09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "71","","G09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "72","","H09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "73","","A10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "74","","B10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "75","","C10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "76","","D10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "77","","E10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "78","","F10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "79","","G10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "80","","H10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "81","","A11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "82","","B11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "83","","C11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "84","","D11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "85","","E11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "86","","F11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "87","","G11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "88","","H11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "89","","A12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "90","","B12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "91","","C12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "92","","D12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "93","","E12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "94","","F12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "95","","G12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "96","","H12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "control_lot": "+_1",
                "rack": "A01",
                "results": [
                    {"code": "CA", "value": "-", "date": date, "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_1",
                "type": "control",
            },
            {
                "control_lot": "-_2",
                "rack": "B01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_2",
                "type": "control",
            },
            {
                "rack": "C01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T110067101",
                "type": "patient",
            },
            {
                "rack": "D01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831520067",
                "type": "patient",
            },
            {
                "rack": "E01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "+", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "MG, TP", "date": date},
                    {"code": "Comment", "value": "Comment", "date": date},
                ],
                "sample_id": "T1531920108",
                "type": "patient",
            },
            {
                "rack": "F01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "+", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "MG, TP", "date": date},
                ],
                "sample_id": "T1231920070",
                "type": "patient",
            },
            {
                "rack": "G01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1531720032",
                "type": "patient",
            },
            {
                "rack": "H01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831720018",
                "type": "patient",
            },
            {
                "rack": "A02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920320",
                "type": "patient",
            },
            {
                "rack": "B02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920329",
                "type": "patient",
            },
            {
                "rack": "C02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831920063",
                "type": "patient",
            },
            {
                "rack": "D02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1231920083",
                "type": "patient",
            },
            {
                "rack": "E02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP", "date": date},
                ],
                "sample_id": "T1131920443",
                "type": "patient",
            },
            {
                "rack": "F02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920396",
                "type": "patient",
            },
            {
                "rack": "G02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP, TV", "date": date},
                ],
                "sample_id": "T1131920392",
                "type": "patient",
            },
            {
                "rack": "H02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1531620092",
                "type": "patient",
            },
            {
                "rack": "A03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP", "date": date},
                ],
                "sample_id": "T1131920361",
                "type": "patient",
            },
            {
                "rack": "B03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1031920085",
                "type": "patient",
            },
            {
                "rack": "C03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T110078661",
                "type": "patient",
            },
            {
                "control_lot": "-_20",
                "rack": "D03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_20",
                "type": "control",
            },
            {
                "control_lot": "-_21",
                "rack": "E03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_21",
                "type": "control",
            },
            {
                "control_lot": "-_22",
                "rack": "F03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_22",
                "type": "control",
            },
            {
                "control_lot": "-_23",
                "rack": "G03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_23",
                "type": "control",
            },
            {
                "control_lot": "-_24",
                "rack": "H03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_24",
                "type": "control",
            },
            {
                "control_lot": "+_25",
                "rack": "A04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_25",
                "type": "control",
            },
            {
                "control_lot": "+_26",
                "rack": "B04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_26",
                "type": "control",
            },
            {
                "control_lot": "+_27",
                "rack": "C04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_27",
                "type": "control",
            },
            {
                "control_lot": "+_28",
                "rack": "D04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_28",
                "type": "control",
            },
            {
                "control_lot": "+_29",
                "rack": "E04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_29",
                "type": "control",
            },
            {
                "rack": "A06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "+", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "+", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "+", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, UP, MH, GV, GBS", "date": date},
                ],
                "sample_id": "T150023813",
                "type": "patient",
            },
            {
                "rack": "B06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, GBS", "date": date},
                ],
                "sample_id": "T110067379",
                "type": "patient",
            },
            {
                "rack": "C06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "+", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "+", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, UP, GV, GBS", "date": date},
                ],
                "sample_id": "T110067181",
                "type": "patient",
            },
            {
                "rack": "D06",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "GBS", "date": date},
                ],
                "sample_id": "S001",
                "type": "patient",
            },
            {
                "rack": "E06",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "GBS", "date": date},
                ],
                "sample_id": "S002",
                "type": "patient",
            },
        ],
    }

    assert worklist == expected


def test_decode_results_neo_7(self):
    date = datetime.datetime(2023, 11, 2, 11, 15, 56)
    worklist = self.decode(
        """
    "Assay Parameters:","STI-7","","","","","","","","","","","",""
    "Data Name:","2023-10-27 13-51-48_CFXB_Test-Neoplex","","","","","","","","","","","",""
    "","","","","","","","","","","","","","",""
    "Analysis Date:","2023-11-02 11:15:56","","","","","","","","","","","",""
    "","","","","","","","","","","","","","",""
    "No.","Name","Well","SampleType","FAM",,"HEX",,"Cal Red 610",,"Quasar 670","IC","Result","Comment",""
    "1","BM990001560","A01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP, NG, MH, MG, UU, TV","",""
    "","","","","+","+","+","+","+","+","+","","","",""
    "2","","B01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "3","BM990001561","C01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","MH","",""
    "","","","","-","-","-","+","-","-","-","","","",""
    "4","BM990001562","D01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP, MH, UU","",""
    "","","","","+","+","-","+","-","+","-","","","",""
    "5","BM990001563","E01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP, MG, UU","",""
    "","","","","+","+","-","-","+","+","-","","","",""
    "6","BM990001564","F01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UP, MH, MG","",""
    "","","","","-","+","-","+","+","-","-","","","",""
    "7","BM990001565","G01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UU","",""
    "","","","","-","-","-","-","-","+","-","","","",""
    "8","","H01","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","Not detected","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "9","BM990001566","A02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP","",""
    "","","","","+","+","-","-","-","-","-","","","",""
    "10","BM990001567","B02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP, MH, UU","",""
    "","","","","+","+","-","+","-","+","-","","","",""
    "11","BM990001568","C02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","UP, TV","",""
    "","","","","-","+","-","-","-","-","+","","","",""
    "12","BM990001569","D02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, NG","",""
    "","","","","+","-","+","-","-","-","-","","","",""
    "13","BM990001570","E02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","MG","",""
    "","","","","-","-","-","-","+","-","-","","","",""
    "14","BM990001571","F02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP, UU","",""
    "","","","","+","+","-","-","-","+","-","","","",""
    "15","","G02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "16","","H02","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "17","BM990001572","A03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","MH, UU","",""
    "","","","","-","-","-","+","-","+","-","","","",""
    "18","BM990001573","B03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, MG","",""
    "","","","","+","-","-","-","+","-","-","","","",""
    "19","BM990001574","C03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","NG","",""
    "","","","","-","-","+","-","-","-","-","","","",""
    "20","","D03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","Not detected","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "21","","E03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","Not detected","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "22","BM990001575","F03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","NG","",""
    "","","","","-","-","+","-","-","-","-","","","",""
    "23","BM990001576","G03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","CT, UP","",""
    "","","","","+","+","-","-","-","-","-","","","",""
    "24","","H03","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "25","BM990001577","A04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","CT, NG","",""
    "","","","","+","-","+","-","-","-","-","","","",""
    "26","BM990001578","B04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","MH","",""
    "","","","","-","-","-","+","-","-","-","","","",""
    "27","BM990001579","C04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UP","",""
    "","","","","-","+","-","-","-","-","-","","","",""
    "28","BM990001580","D04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UP","",""
    "","","","","-","+","-","-","-","-","-","","","",""
    "29","BM990001581","E04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UP","",""
    "","","","","-","+","-","-","-","-","-","","","",""
    "30","BM990001582","F04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","+","UP","",""
    "","","","","-","+","-","-","-","-","-","","","",""
    "31","","G04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "32","BM990001583","H04","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","CT, UP, NG, MH, MG, UU, TV","",""
    "","","","","+","+","+","+","+","+","+","","","",""
    "33","","A05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "34","","B05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "35","","C05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "36","","D05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "37","","E05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "38","","F05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "39","","G05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "40","","H05","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "41","","A06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "42","","B06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "43","","C06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "44","","D06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "45","","E06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "46","","F06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "47","","G06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "48","","H06","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "49","","A07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "50","","B07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "51","","C07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "52","","D07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "53","","E07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "54","","F07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "55","","G07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "56","","H07","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "57","","A08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "58","","B08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "59","","C08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "60","","D08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "61","","E08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "62","","F08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "63","","G08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "64","","H08","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "65","","A09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "66","","B09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "67","","C09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "68","","D09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "69","","E09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "70","","F09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "71","","G09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "72","","H09","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "73","","A10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "74","","B10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "75","","C10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "76","","D10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "77","","E10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "78","","F10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "79","","G10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "80","","H10","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "81","","A11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "82","","B11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "83","","C11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "84","","D11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "85","","E11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "86","","F11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "87","","G11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "88","","H11","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "89","","A12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "90","","B12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "91","","C12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "92","","D12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "93","","E12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "94","","F12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "95","","G12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    "96","","H12","SAMPLE","CT","UP","NG","MH","MG","UU","TV","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","","","",""
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "rack": "A01",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "+"},
                    {"code": "IC", "date": date, "value": "+"},
                    {
                        "code": "Result",
                        "date": date,
                        "value": "CT, UP, NG, MH, MG, UU, TV",
                    },
                ],
                "sample_id": "BM990001560",
                "type": "patient",
            },
            {
                "rack": "C01",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "MH"},
                ],
                "sample_id": "BM990001561",
                "type": "patient",
            },
            {
                "rack": "D01",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP, MH, UU"},
                ],
                "sample_id": "BM990001562",
                "type": "patient",
            },
            {
                "rack": "E01",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP, MG, UU"},
                ],
                "sample_id": "BM990001563",
                "type": "patient",
            },
            {
                "rack": "F01",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UP, MH, MG"},
                ],
                "sample_id": "BM990001564",
                "type": "patient",
            },
            {
                "rack": "G01",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UU"},
                ],
                "sample_id": "BM990001565",
                "type": "patient",
            },
            {
                "rack": "A02",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP"},
                ],
                "sample_id": "BM990001566",
                "type": "patient",
            },
            {
                "rack": "B02",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP, MH, UU"},
                ],
                "sample_id": "BM990001567",
                "type": "patient",
            },
            {
                "rack": "C02",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "+"},
                    {"code": "IC", "date": date, "value": "-"},
                    {"code": "Result", "date": date, "value": "UP, TV"},
                ],
                "sample_id": "BM990001568",
                "type": "patient",
            },
            {
                "rack": "D02",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, NG"},
                ],
                "sample_id": "BM990001569",
                "type": "patient",
            },
            {
                "rack": "E02",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "MG"},
                ],
                "sample_id": "BM990001570",
                "type": "patient",
            },
            {
                "rack": "F02",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP, UU"},
                ],
                "sample_id": "BM990001571",
                "type": "patient",
            },
            {
                "rack": "A03",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "MH, UU"},
                ],
                "sample_id": "BM990001572",
                "type": "patient",
            },
            {
                "rack": "B03",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, MG"},
                ],
                "sample_id": "BM990001573",
                "type": "patient",
            },
            {
                "rack": "C03",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "NG"},
                ],
                "sample_id": "BM990001574",
                "type": "patient",
            },
            {
                "rack": "F03",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "NG"},
                ],
                "sample_id": "BM990001575",
                "type": "patient",
            },
            {
                "rack": "G03",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "CT, UP"},
                ],
                "sample_id": "BM990001576",
                "type": "patient",
            },
            {
                "rack": "A04",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "-"},
                    {"code": "Result", "date": date, "value": "CT, NG"},
                ],
                "sample_id": "BM990001577",
                "type": "patient",
            },
            {
                "rack": "B04",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "-"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "MH"},
                ],
                "sample_id": "BM990001578",
                "type": "patient",
            },
            {
                "rack": "C04",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UP"},
                ],
                "sample_id": "BM990001579",
                "type": "patient",
            },
            {
                "rack": "D04",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UP"},
                ],
                "sample_id": "BM990001580",
                "type": "patient",
            },
            {
                "rack": "E04",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UP"},
                ],
                "sample_id": "BM990001581",
                "type": "patient",
            },
            {
                "rack": "F04",
                "results": [
                    {"code": "CT", "date": date, "value": "-"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "-"},
                    {"code": "MH", "date": date, "value": "-"},
                    {"code": "MG", "date": date, "value": "-"},
                    {"code": "UU", "date": date, "value": "-"},
                    {"code": "TV", "date": date, "value": "-"},
                    {"code": "IC", "date": date, "value": "+"},
                    {"code": "Result", "date": date, "value": "UP"},
                ],
                "sample_id": "BM990001582",
                "type": "patient",
            },
            {
                "rack": "H04",
                "results": [
                    {"code": "CT", "date": date, "value": "+"},
                    {"code": "UP", "date": date, "value": "+"},
                    {"code": "NG", "date": date, "value": "+"},
                    {"code": "MH", "date": date, "value": "+"},
                    {"code": "MG", "date": date, "value": "+"},
                    {"code": "UU", "date": date, "value": "+"},
                    {"code": "TV", "date": date, "value": "+"},
                    {"code": "IC", "date": date, "value": "-"},
                    {
                        "code": "Result",
                        "date": date,
                        "value": "CT, UP, NG, MH, MG, UU, TV",
                    },
                ],
                "sample_id": "BM990001583",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
