# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "facslink"


def test_encode_order(self):
    message = self.order()
    expected = """
    H|\\^&||||||||||P|1|20130715141912
    P|1|036666666|||NYME^ANO||20110513|F|||||ATTENDING^LAGRANGE^Joseph-Louis||||||||||||LOC
    O|1|123456||^^^A^1:10|S||20130513114242||||N||||Serum
    O|2|123456||^^^B|S||20130513114242||||A||||Serum
    O|3|123456||^^^C|S||20130513114242||||C||||Serum
    L|1|N
    """
    assert message == expected


def test_decode_result(self):
    self.configure(facslink_exclure_preliminaire=True)
    date = datetime.datetime(2015, 6, 8, 17, 19, 26)
    worklist = self.decode(
        """
    H|\\^&|||||||||v8.00.0020|P|1|20150608171926
    P|1|PID12345|||Patient^Test^X||19740921|M|||||||||||||||||^^^^
    O|1|01RBCTHEQ01L|^^|^^^LEUCO\\^^^PER_LYMPH\\^^^ABS_LYMPH\\^^^WBC\\^^^TC_BEAD_CT\\^^^FILENAME\\^^^TC_LOT\\^^^SOFTWARE\\^^^CYTOMETER_SN\\^^^REVIEW_TIME\\^^^ACQUIRE_TIME\\^^^SOFTWARE_VER\\^^^RWBC\\^^^RWBC_PACK|R||||||||||
    R|1|^^^LEUCO|Complete|||||Reviewed||RQ^|||BD FACSVia
    C|1|I||G
    R|2|^^^PER_LYMPH||||||Reviewed||RQ^|||BD FACSVia
    R|3|^^^ABS_LYMPH||||||Reviewed||RQ^|||BD FACSVia
    R|4|^^^WBC||||||Reviewed||RQ^|||BD FACSVia
    R|5|^^^TC_BEAD_CT|56800|||||Reviewed||RQ^|||BD FACSVia
    R|6|^^^FILENAME|Study Donor 026 2OCT14.cs|||||Reviewed||RQ^|||BD FACSVia
    R|7|^^^RWBC|21.3|||||P||RQ^|||BD FACSVia
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "type": "patient",
                "sample_id": "01RBCTHEQ01L",
                "results": [
                    {
                        "code": "LEUCO",
                        "value": "Complete",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                    {
                        "code": "PER_LYMPH",
                        "value": "",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                    {
                        "code": "ABS_LYMPH",
                        "value": "",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                    {
                        "code": "WBC",
                        "value": "",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                    {
                        "code": "TC_BEAD_CT",
                        "value": "56800",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                    {
                        "code": "FILENAME",
                        "value": "Study Donor 026 2OCT14.cs",
                        "comments": [],
                        "date": date,
                        "operator": "RQ",
                        "instrument": "BD FACSVia",
                    },
                ],
            }
        ],
    }
    assert worklist == expected
