# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "HL7_LCSD"


def test_segment_ending(self):
    expected = """MSH|^~\\&|||||20140721111100||MFM^M10^MFM_M10||D|2.5|||||FRA|UNICODE UTF-8\r\nMFI|OMC||REP|||NE"""
    msg = self.parser.create(
        date=datetime.datetime(2014, 7, 21, 11, 11), encoding="UTF-8"
    )
    msg.mfi.add()
    msg_string = self.parser.to_string(msg)
    assert msg_string == expected


def test_encoding(self):
    expected = (
        """MSH|^~\\&|||||20140721111100||MFM^M10^MFM_M10||D|2.5|||||FRA|8859/15"""
    )
    msg = self.parser.create(
        date=datetime.datetime(2014, 7, 21, 11, 11), encoding="ISO-8859-15"
    )
    msg_string = self.parser.to_string(msg)
    assert msg_string == expected
